package com.netiq.nam.oauth.helpers;

import java.security.Principal;

/**
 * Created by tsureshkumar on 12/7/14.
 */
public class OAuth2Principal implements Principal {
    private Token token;

    public OAuth2Principal(Token token) {
        this.token = token;
    }

    @Override
    public String getName() {
        return token.getUser();
    }

    public boolean hasScope(String scope) {
        return token != null && token.getScope().contains(scope);
    }
}
